org.apache.ignite.internal.visor.streamer

## Class VisorStreamerConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.streamer.VisorStreamerConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorStreamerConfiguration
    extends Object
    implements Serializable

Data transfer object for streamer configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorStreamerConfiguration()`

### Method Summary

Methods
`boolean` `atLeastOnce()`
`void` `atLeastOnce(boolean atLeastOnce)`
`static VisorStreamerConfiguration` `from(StreamerConfiguration scfg)`
`static Iterable<VisorStreamerConfiguration>` `list(StreamerConfiguration[] streamers)` Construct data transfer object for streamer configurations properties.
`int` `maximumConcurrentSessions()`
`void` `maximumConcurrentSessions(int maxConcurrentSessions)`
`int` `maximumFailoverAttempts()`
`void` `maximumFailoverAttempts(int maxFailoverAttempts)`
`String` `name()`
`void` `name(String name)`
`String` `router()`
`void` `router(String router)`
`int` `threadPoolSize()`
`void` `threadPoolSize(int poolSize)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorStreamerConfiguration

    public VisorStreamerConfiguration()

### Method Detail

#### from

    public static VisorStreamerConfiguration from(StreamerConfiguration scfg)

Parameters:
  `scfg` - Streamer configuration.
Returns:
  Data transfer object for streamer configuration properties.

#### list

    public static Iterable<VisorStreamerConfiguration> list(StreamerConfiguration[] streamers)

Construct data transfer object for streamer configurations properties.

Parameters:
  `streamers` - streamer configurations.
Returns:
  streamer configurations properties.

#### name

    @Nullable
    public String name()

Returns:
  Streamer name.

#### name

    public void name(@Nullable
            String name)

Parameters:
  `name` - New streamer name.

#### router

    @Nullable
    public String router()

Returns:
  Events router.

#### router

    public void router(@Nullable
              String router)

Parameters:
  `router` - New events router.

#### atLeastOnce

    public boolean atLeastOnce()

Returns:
  Flag indicating whether event should be processed at least once.

#### atLeastOnce

    public void atLeastOnce(boolean atLeastOnce)

Parameters:
  `atLeastOnce` - New flag indicating whether event should be processed at least once.

#### maximumFailoverAttempts

    public int maximumFailoverAttempts()

Returns:
  Maximum number of failover attempts to try.

#### maximumFailoverAttempts

    public void maximumFailoverAttempts(int maxFailoverAttempts)

Parameters:
  `maxFailoverAttempts` - New maximum number of failover attempts to try.

#### maximumConcurrentSessions

    public int maximumConcurrentSessions()

Returns:
  Maximum number of concurrent events to be processed.

#### maximumConcurrentSessions

    public void maximumConcurrentSessions(int maxConcurrentSessions)

Parameters:
  `maxConcurrentSessions` - New maximum number of concurrent events to be processed.

#### threadPoolSize

    public int threadPoolSize()

Returns:
  Streamer thread pool size.

#### threadPoolSize

    public void threadPoolSize(int poolSize)

Parameters:
  `poolSize` - New streamer thread pool size.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015